Deprovision a Managed Organizational Unit Early access

Read as Markdown

Early access program

This is in our early access program where we closely support organizations in their usage.

To have this enabled for your organization contact support@cronofy.com or your account manager.

Description #

Deprovisions a Managed Organizational Unit, such as when a customer stops using scheduling in your product.

Authentication is with your application’s client_secret.

URL format #

{data_center_url}/v1/organizational_units

Example Request #

DELETE /v1/organizational_units HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {CLIENT_SECRET}
Content-Type: application/json; charset=utf-8

{
  "organizational_unit_id": "customer-123"
}

Example Response #

HTTP/1.1 202 Accepted

Request Parameters #

data_center_url Required

The URL for the data center you want to communicate with. Possible choices are:

  • api-au.cronofy.com - πŸ‡¦πŸ‡Ί Australia
  • api-ca.cronofy.com - πŸ‡¨πŸ‡¦ Canada
  • api-de.cronofy.com - πŸ‡©πŸ‡ͺ Germany
  • api-sg.cronofy.com - πŸ‡ΈπŸ‡¬ Singapore
  • api-uk.cronofy.com - πŸ‡¬πŸ‡§ United Kingdom
  • api.cronofy.com - πŸ‡ΊπŸ‡Έ United States

Find out more about Cronofy's data centers.

organizational_unit_id Required  #

Your application’s identifier for the Managed Organizational Unit, as given when it was provisioned String.

Response Parameters #

This request has no response body.

Error responses #

401 Unauthorized #

The request was refused as the provided authentication credentials were not recognized.

404 Not Found #

Your application hasn’t provisioned a Managed Organizational Unit with that organizational_unit_id.

422 Unprocessable #

The request was unable to be processed due to it containing invalid parameters.